@echo off

REM ==================================
REM Batch for starting FPad on Windows
REM ==================================

REM ==================================
REM SET JEHEP_HOME TO THE INSTALLATION DIRECTORY 
REM The default is the current directory
REM If you install in in some other location, set it like this 


REM current directory
set JEHEP_HOME=.
set JEHEP_HOME_PATH=%CD%
set JYTHON_HOME=%JEHEP_HOME%\lib\jython
echo Current directory %JEHEP_HOME_PATH%


set MAX_JAVA_MEMORY=2048

set CMD_LINE_ARGS=
:args
if "%1"=="" goto start
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto args
echo ARGS: %CMD_LINE_ARGS%

:start
set JEHEP_JAR=%JEHEP_HOME%
set JEHEP_CLASSPATH=
if exist %JEHEP_JAR% set JEHEP_CLASSPATH=%JEHEP_JAR%

REM take first the main class
set LOCALCLASSPATH=%JEHEP_CLASSPATH%


REM link  LIBRARIES in lib directory
for %%i in ("%JEHEP_HOME%\lib\jehep\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM JYTHON LIBRARIES
for %%i in ("%JEHEP_HOME%\lib\jython\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM FREEHEP LIBRARIES
for %%i in ("%JEHEP_HOME%\lib\freehep\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM JNUMERIC LIBRARIES
for %%i in ("%JEHEP_HOME%\lib\system\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM USER LIBRARIES
for %%i in ("%JEHEP_HOME%\lib\user\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM UPDATE LIBRARIES
for %%i in ("%JEHEP_HOME%\lib\update\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM UPDATE LIBRARIES
for %%i in ("%JEHEP_HOME%\lib\math\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM UPDATE LIBRARIES
for %%i in ("%JEHEP_HOME%\lib\image\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM UPDATE LIBRARIES
for %%i in ("%JEHEP_HOME%\lib\nnet\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM UPDATE LIBRARIES
for %%i in ("%JEHEP_HOME%\lib\physics\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM UPDATE LIBRARIES
for %%i in ("%JEHEP_HOME%\lib\lcsim\*.jar") do call "%JEHEP_HOME%\lcp.bat" %%i
REM UPDATE LIBRARIES


SET OPTJJ=-Djava.library.path=%LIBJEHEP%
SET OPTJJJ=-Dlog4j.configuration=%JEHEP_HOME%\log4j.properties 
SET OPTJJJ2=-Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.NoOpLog
 

REM TAKE ALL
set CLASSPATH=%LOCALCLASSPATH%
set LOCALCLASSPATH=

REM pause

ECHO Start FPad IDE ..
java -mx%MAX_JAVA_MEMORY%m -classpath %CLASSPATH% %OPTJJ% %OPTJJJ% %OPTJJJ2% -Djehep.home=%JEHEP_HOME% jhepsim.Main %CMD_LINE_ARGS%

